---
schema_version: "1"
id: 8e849c3c373930ef1089f8810de9dcbd8ec3f8f3f1dedfc20391a29ea85e92db
title: GET /contacts/v1/contacts/analytics/deleterequests/summary
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/ContactsDeleteRequestsSummary.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/ContactsDeleteRequestsSummary.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 91c5fc3f18e5b2c9a62ca667baf038ba36d6c77e59919338bebaac7d00fc6188
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /contacts/v1/contacts/analytics/deleterequests/summary

## Overview

Retrieves a summary of contact delete requests for a date range.

### URL Parameters

<!--complex table-->

| Name             | Type     |              | Description                                   |
| ---------------- | -------- | ------------ | --------------------------------------------- |
| **startdateutc** | datetime | **Required** | Start date and time in UTC of the date range. |
| **enddateutc**   | datetime | **Required** | End date and time in UTC of the date range.   |

### Responses

| Status  | Name                          | Type     | Description                                                                                                    |
| ------- | ----------------------------- | -------- | -------------------------------------------------------------------------------------------------------------- |
| **200** | &nbsp;                        | &nbsp;   | **Retrieved summary of contact delete requests.**                                                              |
| &nbsp;  | startDateUtc                  | datetime | Start date and time in UTC of the date range.                                                                  |
| &nbsp;  | endDateUtc                    | datetime | End date and time in UTC of the date range.                                                                    |
| &nbsp;  | statusasofdateutc             | datetime | Date and time in UTC when the status was retrieved.                                                            |
| &nbsp;  | interval                      | integer  | Interval of the time series. 0 indicates hourly intervals, and 1 indicates daily intervals.                    |
| &nbsp;  | itemcount                     | integer  | Number of items in the time series.                                                                            |
| &nbsp;  | totaltimeseries               | array    | Time series with information about total contact delete requests.                                              |
| &nbsp;  | totaltimeseries.requestcount  | integer  | Number of contact delete requests submitted for the date range.                                                |
| &nbsp;  | totaltimeseries.minvalue      | integer  | The lowest number of contact delete requests made during the time series.                                      |
| &nbsp;  | totaltimeseries.maxvalue      | integer  | The most contact delete requests made during the time series.                                                  |
| &nbsp;  | totaltimeseries.items         | array    | Array of items with the number of contact delete requests made during the interval.                            |
| &nbsp;  | totaltimeseries.items.time    | datetime | Interval’s beginning date and time in UTC.                                                                     |
| &nbsp;  | totaltimeseries.items.value   | integer  | Number of contact delete requests made during the interval.                                                    |
| &nbsp;  | statustimeseries              | array    | Time series with information about contact delete requests based on status.                                    |
| &nbsp;  | statustimeseries.status       | string   | Status of the time series item.                                                                                |
| &nbsp;  | statustimeseries.requestcount | integer  | Number of contact delete requests made for the date range.                                                     |
| &nbsp;  | statustimeseries.minvalue     | integer  | The lowest number of contact delete requests made during the time series.                                      |
| &nbsp;  | statustimeseries.maxvalue     | integer  | The most contact delete requests made during the time series.                                                  |
| &nbsp;  | statustimeseries.items        | array    | Array of items with the number of contact delete requests made during the interval.                            |
| &nbsp;  | statustimeseries.items.time   | datetime | Interval's beginning date and time.                                                                            |
| &nbsp;  | statustimeseries.items.value  | integer  | Number of contact delete requests made during the interval.                                                    |
| &nbsp;  | &nbsp;                        | &nbsp;   | &nbsp;                                                                                                         |
| **400** | &nbsp;                        | &nbsp;   | **The request is missing a required parameter or contains an invalid parameter.**                              |
| &nbsp;  | startDateUtc                  | datetime | Start date and time in UTC of the date range.                                                                  |
| &nbsp;  | endDateUtc                    | datetime | End date and time in UTC of the date range.                                                                    |
| &nbsp;  | interval                      | integer  | Interval of the time series. 0 indicates hourly intervals, and 1 indicates daily intervals.                    |
| &nbsp;  | statusasofdateutc             | datetime | Date and time in UTC when the status was retrieved.                                                            |
| &nbsp;  | requestServiceMessageID       | guid     | Service message ID for the request.                                                                            |
| &nbsp;  | responseDateTime              | datetime | Date and time in UTC when the response was created in the system.                                              |
| &nbsp;  | resultMessages                | array    | Array of messages about the request. Includes details, such as resulttype and resultcode, about a bad request. |
| &nbsp;  | serviceMessageID              | guid     | Service message ID for the response.                                                                           |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /contacts/analytics/deleterequests/summary?startdateutc=2018-01-15T00:00:00Z&enddateutc=2018-01-15T05:00:00Z
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response

```js
{
    "startdateutc":"2018-01-15T00:00:00Z",
    "enddateutc":"2018-01-15T04:30:00Z",
    "statusofdateutc": "2018-01-17T04:30:00Z",
"interval":"0",
"itemcount":5,
"totaltimeseries":[
    {
    "requestcount":500,
    "minvalue":100,
    "maxvalue":100,
    "items":[
        {time:"01-15-2018 00:00:00","value":100},
        {time:"01-15-2018 01:00:00","value":100},
        {time:"01-15-2018 02:00:00","value":100},
        {time:"01-15-2018 03:0000:","value":100},
        {time:"01-15-2018 04:00:00","value":100}
        ]
        }],
"statustimeseries":[
         {
       "statusid": 5,
       "status": "Completed"
       "requestcount":350,
       "minvalue":0,
       "maxvalue":100,
       "items":[
              {time:"01-15-2018 00:00:00","value":100},
              {time:"01-15-2018 01:00:00","value":100},
              {time:"01-15-2018 02:00:00","value":100},
              {time:"01-15-2018 03:00:00","value":50},
              {time:"01-15-2018 04:00:00","value":0}
              ]
          },
          {
          "statusid": 1,
          "status": “Processing”
          "requestcount":100,
          "minvalue":0,
          "maxvalue":75,
          "items":[
                {time:"01-15-2018 00:00:00","value":0},
                {time:"01-15-2018 01:00:00","value":0},
                {time:"01-15-2018 02:00:00","value":0},
                {time:"01-15-2018 03:00:00","value":25},
                {time:"01-15-2018 04:00:00","value":75}
                ]
          },
          {
          "statusid": 7,
          "Status": "Invalid",
          "requestcount":50,
          "minvalue":0,
          "maxvalue":50,
          "items":[
                {time:"01-15-2018 00:00:00","value":0},
                {time:"01-15-2018 01:00:00","value":0},
                {time:"01-15-2018 02:00:00","value":0},
                {time:"01-15-2018 03:00:00","value":25},
                {time:"01-15-2018 04:00:00","value":25}
                ]
          }]
    }
```
